Suspends new protection runs while keeping recovery available.
POST
/api/workspace/file-protection/suspend
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/file-protection/suspend"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"Reason\": \"example\", \"RowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/file-protection/suspend';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"Reason":"example","RowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/file-protection/suspend \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "Reason": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Suspends new protection runs without disabling recovery.
object
Reason
string
RowVersion
string format: uuid
Examplegenerated
{ "Reason": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Suspends new protection runs without disabling recovery.
object
Reason
string
RowVersion
string format: uuid
Examplegenerated
{ "Reason": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Suspends new protection runs without disabling recovery.
object
Reason
string
RowVersion
string format: uuid
Examplegenerated
{ "Reason": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
boolean
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}